function TNE_GuildMsg_OnLoad()

TNE_GuildMsg_Version = "3.1"

-- set default values. these will be overriden when variables are loaded
TNE_GuildMsg_Default_Enabled = true
TNE_GuildMsg_Default_NotificationDuration = 00
TNE_GuildMsg_Default_FlashOnce = true

TNE_GuildMsg_Default_FadeInTime = 0.3
TNE_GuildMsg_Default_FadeOutTime = 0.7
TNE_GuildMsg_Default_FadeInDelay = 0
TNE_GuildMsg_Default_FadeOutDelay = 0

TNE_GuildMsg_Default_Color = { 256, 256, 256 } -- r,g,b


TNE_GuildMsg_Enabled = TNE_GuildMsg_Default_Enabled
TNE_GuildMsg_NotificationDuration = TNE_GuildMsg_Default_NotificationDuration
TNE_GuildMsg_FlashOnce = TNE_GuildMsg_Default_FlashOnce

TNE_GuildMsg_FadeInTime = TNE_GuildMsg_Default_FadeInTime
TNE_GuildMsg_FadeOutTime = TNE_GuildMsg_Default_FadeOutTime
TNE_GuildMsg_FadeInDelay = TNE_GuildMsg_Default_FadeInDelay
TNE_GuildMsg_FadeOutDelay = TNE_GuildMsg_Default_FadeOutDelay

TNE_GuildMsg_Color = TNE_GuildMsg_Default_Color

-- command line
SlashCmdList["GuildMsgCMD"] = TNE_GuildMsg_CMD
SLASH_GuildMsgCMD1 = "/guildmsg"

this:SetAlpha(0)
this:Show()
this:RegisterEvent("VARIABLES_LOADED")

end

function TNE_GuildMsg_ApplySettings()

local frame = getglobal("GuildMsgFrame")

UIFrameFlashRemoveFrame(frame)
UIFrameFadeRemoveFrame(frame)
UIFrameFadeOut(frame, 1, frame:GetAlpha(), 0)

-- register or unregister when turning modes on or off
if (TNE_GuildMsg_Enabled) then
  frame:RegisterEvent("CHAT_MSG_GUILD")
  frame:RegisterEvent("CHAT_MSG_OFFICER")
  TNE_GuildMsg_LastSentGuildMsg = 0
  GuildMsgFrameTexture:SetVertexColor(unpack(TNE_GuildMsg_Color))
else
  frame:UnregisterEvent("CHAT_MSG_GUILD")
  frame:UnregisterEvent("CHAT_MSG_OFFICER")
end

end


function TNE_GuildMsg_OnEvent(event)

local now, frame = GetTime(), GuildMsgFrame

if (frame.locked) then
  return
end

if (event == "CHAT_MSG_GUILD") then
  if not (TNE_GuildMsg_LastSentGuildMsg > now - TNE_GuildMsg_NotificationDuration) then
    UIFrameFlash(frame, TNE_GuildMsg_FadeInTime, TNE_GuildMsg_FadeOutTime, TNE_GuildMsg_FlashOnce and 2 or -1, nil, TNE_GuildMsg_FadeOutDelay, TNE_GuildMsg_FadeInDelay)
  end
elseif (event == "CHAT_MSG_OFFICER") then
  TNE_GuildMsg_LastSentGuildMsg = now
  UIFrameFlashRemoveFrame(frame)
  UIFrameFadeRemoveFrame(frame)
  UIFrameFadeOut(frame, 1, frame:GetAlpha(), 0)
end

end

function TNE_GuildMsg_CMD(arg1)

if (not arg1) then
  return
end

ShowUIPanel(GuildMsgSettingsFrame)

end