function TNE_PartyMsg_OnLoad()

TNE_PartyMsg_Version = "3.1"

-- set default values. these will be overriden when variables are loaded
TNE_PartyMsg_Default_Enabled = true
TNE_PartyMsg_Default_NotificationDuration = 0
TNE_PartyMsg_Default_FlashOnce = true

TNE_PartyMsg_Default_FadeInTime = 0.3
TNE_PartyMsg_Default_FadeOutTime = 0.7
TNE_PartyMsg_Default_FadeInDelay = 0
TNE_PartyMsg_Default_FadeOutDelay = 0

TNE_PartyMsg_Default_Color = { 256, 256, 256 } -- r,g,b

TNE_PartyMsg_Enabled = TNE_PartyMsg_Default_Enabled
TNE_PartyMsg_NotificationDuration = TNE_PartyMsg_Default_NotificationDuration
TNE_PartyMsg_FlashOnce = TNE_PartyMsg_Default_FlashOnce

TNE_PartyMsg_FadeInTime = TNE_PartyMsg_Default_FadeInTime
TNE_PartyMsg_FadeOutTime = TNE_PartyMsg_Default_FadeOutTime
TNE_PartyMsg_FadeInDelay = TNE_PartyMsg_Default_FadeInDelay
TNE_PartyMsg_FadeOutDelay = TNE_PartyMsg_Default_FadeOutDelay

TNE_PartyMsg_Color = TNE_PartyMsg_Default_Color

-- command line
SlashCmdList["PartyMsgCMD"] = TNE_PartyMsg_CMD
SLASH_PartyMsgCMD1 = "/partymsg"

this:SetAlpha(0)
this:Show()
this:RegisterEvent("VARIABLES_LOADED")

end

function TNE_PartyMsg_ApplySettings()

local frame = getglobal("PartyMsgFrame")

UIFrameFlashRemoveFrame(frame)
UIFrameFadeRemoveFrame(frame)
UIFrameFadeOut(frame, 1, frame:GetAlpha(), 0)

-- register or unregister when turning modes on or off
if (TNE_PartyMsg_Enabled) then
  frame:RegisterEvent("CHAT_MSG_PARTY")
  frame:RegisterEvent("CHAT_MSG_PARTY_INFORM")
  TNE_PartyMsg_LastSentPartyMsg = 0
  PartyMsgFrameTexture:SetVertexColor(unpack(TNE_PartyMsg_Color))
else
  frame:UnregisterEvent("CHAT_MSG_PARTY")
  frame:UnregisterEvent("CHAT_MSG_PARTY_INFORM")
end

end

function TNE_PartyMsg_OnEvent(event)

local now, frame = GetTime(), PartyMsgFrame

if (frame.locked) then
  return
end

if (event == "CHAT_MSG_PARTY") then
  if not (TNE_PartyMsg_LastSentPartyMsg > now - TNE_PartyMsg_NotificationDuration) then
    UIFrameFlash(frame, TNE_PartyMsg_FadeInTime, TNE_PartyMsg_FadeOutTime, TNE_PartyMsg_FlashOnce and 2 or -1, nil, TNE_PartyMsg_FadeOutDelay, TNE_PartyMsg_FadeInDelay)
  end
elseif (event == "CHAT_MSG_PARTY_INFORM") then
  TNE_PartyMsg_LastSentPartyMsg = now
  UIFrameFlashRemoveFrame(frame)
  UIFrameFadeRemoveFrame(frame)
  UIFrameFadeOut(frame, 1, frame:GetAlpha(), 0)
end

end

function TNE_PartyMsg_CMD(arg1)

if (not arg1) then
  return
end

ShowUIPanel(PartyMsgSettingsFrame)

end